Name: fbset
Version: 2.1
Release: ipl9mdk

Summary: Framebuffer utilities for changing video modes
License: GPL
Group: System/Kernel and hardware

Source: http://www.cs.kuleuven.ac.be/~geert/bin/%name-%version.tar.bz2
Patch: %name-2.0-pre-19981028.patch

# Automatically added by buildreq on Thu Oct 31 2002
BuildRequires: flex

%description
fbset is a system utility to show or change the settings of the
frame buffer device. The frame buffer device provides a simple and
unique interface to access different kinds of graphic displays.

%prep
%setup -q
%patch -p1
find -type d -name CVS -print0 |
	xargs -r0 rm -rf --

%build
make CC=gcc CFLAGS="$RPM_OPT_FLAGS"

%install
install -pD -m755 %name $RPM_BUILD_ROOT%_sbindir/%name
install -p -m755 modeline2fb $RPM_BUILD_ROOT%_sbindir/
install -pD -m644 %name.8 $RPM_BUILD_ROOT%_man8dir/%name.8
install -pD -m644 fb.modes.5 $RPM_BUILD_ROOT%_man5dir/fb.modes.5
install -pD -m644 etc/fb.modes.ATI $RPM_BUILD_ROOT%_sysconfdir/fb.modes

%files
%config(noreplace) %_sysconfdir/*
%_sbindir/*
%_mandir/man?/*
%doc etc/*

%changelog
* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 2.1-ipl9mdk
- Rebuilt in new environment.

* Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.1-ipl8mdk
- Rebuilt.

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 2.1-ipl7mdk
- RE adaptions.

* Wed Feb 23 2000 Dmitry V. Levin <ldv@fandra.org>
- added modeline2fb utility.

* Wed Aug 16 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.1
- handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- include fb devs too (#1515)
- update to 19990118 version.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
